#
# Conditional build:
%bcond_with	openssl		# OpenSSL instead of GnuTLS (incompatible with some versions)
%bcond_without	oath		# OATH-based one-time password authentication
%bcond_without	stoken		# Software Token authentication
%bcond_without	static_libs	# static library
#
Summary:	Client for Cisco's AnyConnect SSL VPN
Summary(pl.UTF-8):	Klient Cisco AnyConnect SSL VPN
Name:		openconnect
Version:	5.01
Release:	1
License:	LGPL v2.1
Group:		Applications/Networking
Source0:	ftp://ftp.infradead.org/pub/openconnect/%{name}-%{version}.tar.gz
# Source0-md5:	40b059f0fe955cd4f41d7abb97d84ce8
Patch0:		%{name}-am.patch
Patch1:		%{name}-link.patch
URL:		http://www.infradead.org/openconnect.html
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.10
%{!?with_openssl:BuildRequires:	gnutls-devel >= 2.12.16}
BuildRequires:	libproxy-devel
BuildRequires:	libxml2-devel >= 2.0
%{?with_oath:BuildRequires:	oath-toolkit-devel}
%{?with_openssl:BuildRequires:	openssl-devel}
%{!?with_openssl:BuildRequires:	p11-kit-devel}
BuildRequires:	pkgconfig >= 1:0.27
%{?with_stoken:BuildRequires:	stoken-devel}
BuildRequires:	zlib-devel
Suggests:	vpnc-script
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenConnect is a client for Cisco's AnyConnect SSL VPN.

%description -l pl.UTF-8
OpenConnect jest klientem Cisco AnyConnect SSL VPN.

%package devel
Summary:	Development files for OpenConnect library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki OpenConnect
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_openssl:Requires:	gnutls-devel >= 2.12.16}
Requires:	libproxy-devel
Requires:	libxml2-devel >= 2.0
%{?with_openssl:Requires:	openssl-devel}
%{!?with_openssl:Requires:	p11-kit-devel}
Requires:	zlib-devel

%description devel
Development files for OpenConnect library.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki OpenConnect.

%package static
Summary:	Static OpenConnect library
Summary(pl.UTF-8):	Statyczna biblioteka OpenConnect
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static OpenConnect library.

%description static -l pl.UTF-8
Statyczna biblioteka OpenConnect.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static} \
	%{!?with_oath:--without-liboath} \
	%{!?with_stoken:--without-stoken} \
	--with-system-cafile=/etc/certs/ca-certificates.crt \
	--with-vpnc-script=/usr/bin/vpnc-script \
	%{?with_openssl:--without-gnutls}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libopenconnect.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS TODO
%attr(755,root,root) %{_sbindir}/openconnect
%attr(755,root,root) %{_libdir}/libopenconnect.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libopenconnect.so.2
%{_mandir}/man8/openconnect.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libopenconnect.so
%{_includedir}/openconnect.h
%{_pkgconfigdir}/openconnect.pc
%{_docdir}/openconnect

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libopenconnect.a
%endif
%changelog
* Sun Jul 07 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/openconnect.git;a=log;h=master

* Thu Jun 06 2013 Jakub Bogusz <qboosh@pld-linux.org> 665494d
- updated to 5.01

* Sat May 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 059c89f
- updated to 5.00
- build with oath and stoken support by default
- current openssl version from Th is incompatible with this package, so use GnuTLS
- added link patch to avoid unnecessary linking with libtspi

* Sat Sep 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 12841ba
- updated to 4.07

* Tue Aug 28 2012 Jakub Bogusz <qboosh@pld-linux.org> c593b57
- updated to 4.06

* Fri Jul 13 2012 Jakub Bogusz <qboosh@pld-linux.org> 50456fa
- updated to 4.05

* Fri Jul 06 2012 Jakub Bogusz <qboosh@pld-linux.org> 4cc19a1
- updated to 4.04

* Sun Jul 01 2012 Jakub Bogusz <qboosh@pld-linux.org> f198c9d
- updated to 4.02

* Sun Jun 24 2012 Jakub Bogusz <qboosh@pld-linux.org> ea52900
- added am patch (fixes build with automake 1.12)

* Sun Jun 24 2012 Jakub Bogusz <qboosh@pld-linux.org> d0d3842
- updated to 4.00 (note: new soname)

* Tue May 22 2012 Jakub Bogusz <qboosh@pld-linux.org> a550ede
- updated to 3.20
- now it relies on vpnc-script for network configuration

* Tue Apr 10 2012 Jakub Bogusz <qboosh@pld-linux.org> 4dfdf03
- updated to 3.16

* Fri Dec 09 2011 Jakub Bogusz <qboosh@pld-linux.org> 70761f3
- updated to 3.15

* Wed Oct 12 2011 Jakub Bogusz <qboosh@pld-linux.org> 0e0edc2
- updated to 3.13

* Sun Sep 25 2011 Jakub Bogusz <qboosh@pld-linux.org> eeff151
- BR: zlib-devel (for completeness)
- added -static (on static_libs bcond)

* Mon Sep 19 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> dce4925
- up to 3.12

* Fri Sep 09 2011 Bartłomiej Zimoń <cactus@pld-linux.org> 63d0887
- up to 3.11; drop patch0 - now use autotools

* Wed May 04 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 14fb1db
- updated to 3.02

* Thu Apr 15 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 2fee196
- updated to 2.23

* Wed Jan 27 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 1ba1601
- updated to 2.21

* Sat Nov 28 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 8faeaf3
- new

